# Locale::getRegion

# locale_get_region

(PHP 5 >= 5.3.0, PHP 7, PECL intl >= 1.0.0)

Locale::getRegion -- locale_get_region — Gets the region for the input locale

### Description

Object oriented style

public static Locale::getRegion ( string `$locale` ) : string

Procedural style

locale_get_region ( string `$locale` ) : string

Gets the region for the input locale.

### Parameters

`locale`

  The locale to extract the region code from

### Return Values

The region subtag for the locale or `NULL` if not present

### Examples

Example #1 locale_get_region() example

`<?php
echo locale_get_region('de-CH-1901');
?>`

Example #2 OO example

`<?php
echo Locale::getRegion('de-CH-1901');
?>`

The above example will output:

    CH

### See Also

- locale_get_primary_language() - Gets the primary language for the input locale
- locale_get_script() - Gets the script for the input locale
- locale_get_all_variants() - Gets the variants for the input locale